aboutsummaryrefslogtreecommitdiffstats
path: root/onap-offline/bash/tools/creating_data/download-pip.sh
diff options
context:
space:
mode:
Diffstat (limited to 'onap-offline/bash/tools/creating_data/download-pip.sh')
-rwxr-xr-xonap-offline/bash/tools/creating_data/download-pip.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/onap-offline/bash/tools/creating_data/download-pip.sh b/onap-offline/bash/tools/creating_data/download-pip.sh
new file mode 100755
index 0000000..dea60b5
--- /dev/null
+++ b/onap-offline/bash/tools/creating_data/download-pip.sh
@@ -0,0 +1,45 @@
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+
+LIST_FILE="$1"
+if [[ -z "$LIST_FILE" ]]; then
+ echo "Missing list file"
+ exit 1
+fi
+LIST_FILE=$(readlink -f "$LIST_FILE")
+
+
+outdir="$2"
+if [[ -z "$outdir" ]]; then
+ echo "Missing output directory"
+ exit 1
+fi
+
+lines=$(cat "$LIST_FILE" | wc -l)
+cnt=1
+
+# create output dir if not exists
+mkdir -p "$outdir"
+
+cd "$outdir"
+while read -r line; do
+ echo "Downloading $cnt / $lines: $line"
+ pip download $line
+ cnt=$((cnt+1))
+
+done < "$LIST_FILE"